Package org.snpsift.annotate.mem.arrays

# Class BoolArray

java.lang.Object
org.snpsift.annotate.mem.arrays.BoolArray

All Implemented Interfaces:
  `Serializable`

public class BoolArray extends Object implements Serializable
A "memory efficient" boolean array Is is implemented as an array of bytes, where each bit is a boolean value.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected byte[]`
`bytes`

## Constructor Summary

Constructors
Constructor
Description
`BoolArray(int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear(int i)`
Clear null data
`void`
`fill()`
`boolean`
`is(int i)`
Is the data value is index i set?
`void`
`reset()`
`void`
`set(int i)`
Set data to null
`void`
`set(int i, boolean value)`
`int`
`size()`
`int`
`sizeBytes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bytes

protected byte[] bytes

## Constructor Details

### BoolArray

public BoolArray(int size)

## Method Details

### clear

public void clear(int i)
Clear null data

### fill

public void fill()

### is

public boolean is(int i)
Is the data value is index i set?

### set

public void set(int i)
Set data to null

### set

public void set(int i, boolean value)

### reset

public void reset()

### size

public int size()

### sizeBytes

public int sizeBytes()